0
  • My system is Gentoo 64 bit
  • GCC version is gcc (Gentoo 5.3.0 p1.0, pie-0.6.5) 5.3.0.

I got this error while emerging sys-block/gparted-0.25.0

/usr/lib/gcc/x86_64-pc-linux-gnu/5.3.0/../../../../lib64/libgtkmm-2.4.so: undefined reference to `Glib::ustring::ustring(std::string const&)'

My system has gparted-0.24.0 emerged, but it got "segment faults" when I try to launch it.

I think it is because I upgraded my GCC recently. I have followed the wiki to upgrade my system. But I still got this problem. It seems it is the only package I got trouble with after I upgrade my GCC.

I also tried to re-emerge packages that provide libgtkmm, but it did not help.

0

Recently at least one problem with newer compilers has been fixed in the current git master for GParted. You might wish to try compiling from that.

  • If it is fixed on master, I'd rather wait for the Gentoo team to update the repository. – David S. Mar 1 '16 at 3:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.